Backend API
Archive a scope on an OAuth app
cURL
curl --request POST \ --url https://api.wacht.dev/deployments/{deployment_id}/oauth/apps/{oauth_app_slug}/scopes/{scope}/archive \ --header 'Authorization: <api-key>'
{ "id": "<string>", "slug": "<string>", "name": "<string>", "description": "<string>", "logo_url": "<string>", "fqdn": "<string>", "supported_scopes": [ "<string>" ], "scope_definitions": [ { "scope": "<string>", "display_name": "<string>", "description": "<string>", "archived": true, "category": "", "organization_permission": "<string>", "workspace_permission": "<string>" } ], "allow_dynamic_client_registration": true, "is_active": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
API key authentication (format: Bearer {api_key})
Deployment ID
OAuth app slug
OAuth scope string
OAuth app updated
Show child attributes
Was this page helpful?